Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611578 - mp3 support missing in sox-14.2.0-3.fc12.x86_64.rpm
mp3 support missing in sox-14.2.0-3.fc12.x86_64.rpm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 14:48 EDT by Simon Lewis
Modified: 2015-02-01 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:29:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sox-14.2.0-vorbis patch (479 bytes, patch)
2010-07-05 14:48 EDT, Simon Lewis
no flags Details | Diff

  None (edit)
Description Simon Lewis 2010-07-05 14:48:31 EDT
Created attachment 429585 [details]
sox-14.2.0-vorbis patch

mp3 support is missing in fedora sox package

However, the srpm can be built without any changes to include mp3 support if the following devel-packages are installed on the build system:

BuildRequires:	alsa-lib-devel
BuildRequires:  amrwb-devel
BuildRequires:  amrnb-devel
BuildRequires:	flac-devel
BuildRequires:	gsm-devel
BuildRequires:	ladspa-devel
BuildRequires:  lame-devel
BuildRequires:	libao-devel
BuildRequires:	libid3tag-devel
BuildRequires:  libmad-devel
BuildRequires:	libpng-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool-ltdl-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel
BuildRequires:	wavpack-devel

Further, there is a patch for vorbis which can be applied - see attachment...
Comment 1 Jiri Moskovcak 2010-07-07 05:27:13 EDT
(In reply to comment #0)
> Created an attachment (id=429585) [details]
> sox-14.2.0-vorbis patch
> 
> mp3 support is missing in fedora sox package
> 
> However, the srpm can be built without any changes to include mp3 support if
> the following devel-packages are installed on the build system:
> 

I can't add a mp3 support into sox in official Fedora repo because of this:
http://fedoraproject.org/wiki/Multimedia/MP3

> BuildRequires:  lame-devel

...and this package is available only in rpmfusion repository

> Further, there is a patch for vorbis which can be applied - see attachment...    

Thanks, will create an update asap.

HAve a nice day,
Jirka
Comment 2 Simon Lewis 2010-07-09 13:33:38 EDT
It would be great if there was a policy at Fedora whereby packages that have functionality disabled for licence reasons are automatically made available at rpmfusion with full functionality...
Comment 3 Chris Bagwell 2010-08-19 11:09:58 EDT
A few of below comments are relative to newer sox 14.3.1 configure updates.

(In reply to comment #1)
> (In reply to comment #0)
> > Created an attachment (id=429585) [details]
> > sox-14.2.0-vorbis patch
> > 
> > mp3 support is missing in fedora sox package
> > 
> > However, the srpm can be built without any changes to include mp3 support if
> > the following devel-packages are installed on the build system:
> > 
> 
> I can't add a mp3 support into sox in official Fedora repo because of this:
> http://fedoraproject.org/wiki/Multimedia/MP3

SoX can technically be compiled such that it run-time enables MP3 support if mad/lame libraries are installed by end user and so doesn't need to ship with MP3 code.  Passing "--enable-dl-lame --enable-dl-mad" to configure script will enable this feature.

The main issue is that currently, this feature still requires related BuildRequires for lame/mad header files to get prototypes right.  That could be hacked around by patching in private mad/lame headers I suppose but its not done upstream so far.

BTW, there are also "--enable-dl-amrnb --enable-dl-amrwb" flags so you can enable similar feature to make use of rpmfushion's AMR libraries.  Because the prototypes are so simple, this can be done in 14.3.1 without needing BuildRequires listed above; just need to add options to configure.

And related, there is new in 14.3.1 "--enable-dl-sndfile" if you wish to enable dynamic enabling support for libsndfile.  This option still needs BuildRequires but then you could remove Requires line. Not sure its worth effort to remove Requires line since libsndfile is so common to install with sound tools.

> 
> > BuildRequires:  lame-devel
> 
> ...and this package is available only in rpmfusion repository

Same for mad-devel and amr*-devel packages.
Comment 4 Bug Zapper 2010-11-03 08:26:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 08:29:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.